Name:           xmlrpc-c
Version:        1.06.32
Release:        4.2
License:        BSD, Python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://xmlrpc-c.sourceforge.net/
Source0:        %{name}-%{version}.tar.bz2
Patch0:         xmlrpc-c-1.06.04-sizet.patch
##Patch1:		xmlrpc-c-gcc43.patch
Summary:        A library implementing XML-based remote procedure calls
Group:          System/Libraries
Packager:	Peter Nixon
Autoreqprov:    on
#BuildRequires:  curl-devel
BuildRequires:  file gcc-c++ libxml2-devel openssl-devel pkgconfig

# sipxvxml requires xmlrpc-c built against w3c-libwww :-(
Requires:  w3c-libwww
BuildRequires:  w3c-libwww-devel

%description
XML-RPC is a lightweight RPC protocol based on XML and HTTP. This
package is used by XML-RPC clients and servers written in C and C++.

Authors:
--------
    Eric Kidd <eric.kidd@pobox.com>

%debug_package
%package devel
Summary:        Development package for xmlrpc-c
Group:          Development/Libraries/C and C++
Requires:       %name = %version 
Requires:	openssl libxml2
Requires:	w3c-libwww

%description devel
Files needed for software development using xmlrpc-c.

Authors:
--------
    Eric Kidd <eric.kidd@pobox.com>

%prep
%setup -q
%patch0 -p1 -b .sizet
##%patch1 -p1

%build
# What a stupid build system!!!!!!
export CFLAGS_PERSONAL="%{optflags} -fPIC -DPIC"
%configure       --enable-libxml2-backend

make CFLAGS_PERSONAL="%{optflags} -fPIC -DPIC"

%install
make install DESTDIR=$RPM_BUILD_ROOT

for FILE in $RPM_BUILD_ROOT%_libdir/libxmlrpc*.la ; do
 sed -i s@"$RPM_BUILD_ROOT"@""@g ${FILE}
 sed -i s@"$RPM_BUILD_DIR"@""@g ${FILE}
done

%clean

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%_libdir/libxmlrpc*so.*

%files devel
%defattr(-, root, root)
%_libdir/libxmlrpc*a
%_libdir/libxmlrpc*so
%_includedir/*
%_bindir/*
#%_mandir/man*/*

%changelog -n xmlrpc-c
* Sun Apr 19 2009 Carsten Schoene <cs@linux-administrator.com> - 1.06.32-1
- update to release 1.06.32

* Mon Aug 4 2008 - Peter Nixon
- Add xmlrpc-c-gcc43.patch from Gentoo project to placate newer GCC version on openSUSE 11.0
- Add Packager tag
- Update group for -devel package
- replace %run_ldconfig with %post(un) -p /sbin/ldconfig
* Tue Jun 12 2007 - Peter Nixon
- Updated to 1.06.14
- Enabled all options
- Fixed 64bit build problems
* Wed Mar 14 2006 - Peter Nixon
- enabled abyss-server
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Mar 18 2004 - hvogel@suse.de
- fix files list
* Tue Mar 16 2004 - kkaempf@suse.de
- fix libdir for 64bit
* Tue Mar 16 2004 - hvogel@suse.de
- fix bogus %%prefix usage
* Tue Mar 16 2004 - kkaempf@suse.de
- fix filelist
* Tue Mar 16 2004 - kkaempf@suse.de
- initial package version 0.9.10
